> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alerty.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Notes for Incident



## OpenAPI

````yaml GET /incident/{id}/note
openapi: 3.1.0
info:
  title: Lumos API
  version: 1.0.0
  description: Lumos RESTful API
  x-logo:
    url: >-
      https://zorp.zeetco.com/static/media/mark-white.8c3b78e3c878db1859b6319c98dc38b6.svg
    altText: Zeet Logo
  contact:
    email: support@zeet.co
servers:
  - url: https://api.alerty.ai
security: []
paths:
  /incident/{id}/note:
    get:
      summary: List all Notes for Incident
      operationId: getIncidentNotes
      parameters:
        - name: id
          description: the incident identifier
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      responses:
        '200':
          description: successful retrieved incident logs
          content:
            application/json:
              schema:
                type: array
                description: list of incident notes
                items:
                  $ref: '#/components/schemas/IncidentNote'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
        - cookieAuth: []
components:
  schemas:
    UUID:
      description: Unique identifier for the entity
      type: string
      format: uuid
      example: 5df33a85-2b9c-40e3-8854-760ee3b8efc7
      x-go-name: ID
    IncidentNote:
      allOf:
        - $ref: '#/components/schemas/BaseEntity'
        - type: object
          description: the incident note added by the user
          properties:
            createdBy:
              $ref: '#/components/schemas/BasicUser'
            content:
              type: string
              description: the incident note content
          required:
            - createdBy
            - content
    BaseEntity:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UUID'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - createdAt
        - updatedAt
    BasicUser:
      type: object
      properties:
        id:
          type: string
          description: the user workos ID
          x-go-name: ID
        email:
          type: string
          description: the user email address
        firstName:
          type: string
          description: the user first name
        lastName:
          type: string
          description: the user last name
        emailVerified:
          type: boolean
          description: flags if the user email was already verified
        profilePictureURL:
          type: string
          description: the user profile picture URL
      required:
        - id
        - email
        - firstName
        - lastName
        - emailVerified
        - profilePictureURL
    ApiError:
      type: object
      properties:
        code:
          type: integer
          description: a custom Lumos error code
          format: uint64
          example: 1400
        field:
          type: string
          description: the field that this error is associated with, if applicable
          example: name
        description:
          type: string
          description: a description for this error
          example: A descriptive error message
      required:
        - description
  responses:
    NotFound:
      description: The resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    ServerError:
      description: Server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    cookieAuth:
      type: apiKey
      in: cookie
      name: __lumos_session

````